man(1)

NAME
/register

DESCRIPTION
Register an account on a server.

SYNOPSIS
/register <username> <server> [port <port>] [tls force|allow|trust|direct|disable|legacy]

ARGUMENTS

<username>
    Username to register with.

<server>
    Server to register account on.

port <port>
    The port to use if different to the default (5222, or 5223 for SSL).

tls force
    Force TLS connection, and fail if one cannot be established. This is the default behavior.

tls allow
    Use TLS for the connection if it is available.

tls trust
    Force TLS connection and trust the server's certificate.

tls direct
    Use direct TLS for the connection. It means TLS handshake is started right after TCP connection is established.

tls disable
    Disable TLS for the connection.

tls legacy
    Alternative keyword for 'direct', which was created when one still thought that 'STARTTLS' is the future.

EXAMPLES
/register odin valhalla.edda

/register freyr vanaheimr.edda port 5678

/register me 127.0.0.1 tls disable

/register someuser my.xmppserv.er port 5443 tls force